GET /api/v3/commodity/{commodityId}/digest/actual/yearly

Retrieves yearly rolled-up actual billing data for a specific commodity

GetCommodityActualYearlyV3 Permissions: VendorsAndRatesModule (View)
Use this endpoint to get aggregated billing statistics (cost, use, and unit cost) by year for a commodity. Results are ordered by year ascending. Returns 204 No Content if no billing data exists for the specified commodity.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
commodityId Unique numeric identifier of the commodity to retrieve digest data for integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return including the current year. Defaults to 4. integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

CommodityDigestActualYearlyResponse
Property Description Type
commodities An array of yearly data per commodity CommodityDigestActualYearlyResponse+CommodityData[]
CommodityDigestActualYearlyResponse+CommodityData properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of yearly data CommodityDigestActualYearlyResponse+CommodityResults[]
CommodityDigestActualYearlyResponse+CommodityResults properties
Property Description Type
commonUse Common Use number (double)
commonUseUnitCost Common Use Unit Cost number (double)
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
totalCost Total Cost number (double)
year year string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of yearly data CommodityDigestActualYearlyResponse+Results[]
CommodityDigestActualYearlyResponse+Results properties
Property Description Type
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
totalCost Total Cost number (double)
year Year string
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "commodities": [
    {    "commodityCode": "string",    "commodityId": 1,    "commodityInfo": "string",    "commonUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "results": [
      {      "commonUse": 1.0,      "commonUseUnitCost": 1.0,      "globalUse": 1.0,      "globalUseUnitCost": 1.0,      "totalCost": 1.0,      "year": "string"
    }
    ]
  }
  ],  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "globalUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "results": [
    {    "globalUse": 1.0,    "globalUseUnitCost": 1.0,    "totalCost": 1.0,    "year": "string"
  }
  ],  "updated": "2026-06-29"
}
204 No Content The request succeeded. No content is returned in the response body.
404 Not Found The requested resource was not found. Verify the ID or path is correct.